## net.sf.saxon.instruct
Class TerminationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.xml.transform.TransformerException
                  net.sf.saxon.trans.XPathException
                      net.sf.saxon.trans.DynamicError
                          net.sf.saxon.instruct.TerminationException

All Implemented Interfaces:
  java.io.Serializable

public class TerminationException
extends DynamicError

An exception thrown by xsl:message terminate="yes".

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class net.sf.saxon.trans.XPathException
`XPathException.Circularity`

Constructor Summary
`TerminationException(java.lang.String message)` Construct a TerminationException

Methods inherited from class net.sf.saxon.trans.DynamicError
`getXPathContext, makeDynamicError, setXPathContext`

Methods inherited from class net.sf.saxon.trans.XPathException
`getErrorCodeLocalPart, getErrorCodeNamespace, getErrorObject, hasBeenReported, isTypeError, makeStatic, setErrorCode, setErrorCode, setErrorObject, setHasBeenReported, setIsTypeError`

Methods inherited from class javax.xml.transform.TransformerException
`getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TerminationException

    public TerminationException(java.lang.String message)

  Construct a TerminationException

Parameters:
  `message` - the text of the message to be output